Skip to main content
POST
Verify public registration payment

Path Parameters

clientSlugOrId
string
required

Public organization slug or numeric ID.

Example:

"example-foundation"

eventSlug
string
required

Event slug within the organization.

Example:

"annual-gala"

token
string
required

Secret order management capability.

Example:

"issued-order-token"

Body

application/json
gateway
string | null

Gateway selection; defaults to stored order gateway.

Maximum string length: 80
Example:

"stripe"

payment_intent_id
string | null

Stripe intent or compatibility PayPal order ID; defaults to stored reference.

Maximum string length: 255
Example:

"pi_example"

paypal_order_id
string | null

PayPal order ID; defaults to payment_intent_id/stored reference.

Maximum string length: 255
Example:

"PAYPAL-ORDER"

Response

Verify public registration payment completed.

message
string

Registration/payment outcome.

Example:

"Registration complete."

data
object
manage_url
string

Frontend secret order-management URL.

Example:

"/events/42/annual-gala/orders/issued-token"